| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
ReactionRateFactory.h File Reference

Factory class for reaction rate objects. More...

`#include "cantera/base/FactoryBase.h"`
`#include "cantera/kinetics/ReactionRate.h"`
Include dependency graph for ReactionRateFactory.h:

## Detailed Description

Factory class for reaction rate objects.

Used by classes that implement kinetics (see Reactions and Reaction Rates and class ReactionRate).

Definition in file ReactionRateFactory.h.

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | ReactionRateFactory
| Factory class to construct reaction rate calculators. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
shared_ptr< ReactionRate > | newReactionRate (const string &type)
| Create a new empty ReactionRate object.
shared_ptr< ReactionRate > | newReactionRate (const AnyMap &rate_node, const UnitStack &rate_units)
| Create a new Rate object using the specified parameters.
shared_ptr< ReactionRate > | newReactionRate (const AnyMap &rate_node)
| Create a new Rate object using the specified parameters.